# -*- coding: utf-8 -*-

from django.core.management.base import BaseCommand
from django.conf import settings

import requests
import json
import os


class Command(BaseCommand):
    help = "Download all github emojis"

    def handle(self, *args, **options):
        github_url = "https://api.github.com/emojis"
        dest_directory = os.path.join(settings.MEDIA_ROOT, settings.EMOJIS_DIRECTORY)
        if not os.path.exists(dest_directory):
            os.makedirs(dest_directory)

        response = requests.get(github_url)
        response.raise_for_status()
        emojis = json.loads(response.content)
        for name, url in emojis.iteritems():
            print(name)
            response_img = requests.get(url)
            response_img.raise_for_status()
            with open(os.path.join(dest_directory, name + ".png"), "w") as f:
                f.write(response_img.content)
